TESTING/LIN/zlatsp.f(3)

NAME
TESTING/LIN/zlatsp.f

SYNOPSIS

  Functions/Subroutines
subroutine zlatsp (uplo, n, x, iseed)
ZLATSP

Function/Subroutine Documentation

  subroutine zlatsp (character uplo, integer n, complex*16, dimension( * ) x, integer, dimension( * ) iseed)

ZLATSP

Purpose:

     ZLATSP generates a special test matrix for the complex symmetric
     (indefinite) factorization for packed matrices.  The pivot blocks of
     the generated matrix will be in the following order:
        2x2 pivot block, non diagonalizable
        1x1 pivot block
        2x2 pivot block, diagonalizable
        (cycle repeats)
     A row interchange is required for each non-diagonalizable 2x2 block.

Parameters
    UPLO

              UPLO is CHARACTER
              Specifies whether the generated matrix is to be upper or
              lower triangular.
              = 'U':  Upper triangular
              = 'L':  Lower triangular

    N

              N is INTEGER
              The dimension of the matrix to be generated.

    X

              X is COMPLEX*16 array, dimension (N*(N+1)/2)
              The generated matrix in packed storage format.  The matrix
              consists of 3x3 and 2x2 diagonal blocks which result in the
              pivot sequence given above.  The matrix outside these
              diagonal blocks is zero.

    ISEED

              ISEED is INTEGER array, dimension (4)
              On entry, the seed for the random number generator.  The last
              of the four integers must be odd.  (modified on exit)

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 83 of file zlatsp.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.